/* winop     1990-1991 T.Kobayashi		 */
/* winop +13 1992-1995 H.Ogasawara(COR.) */


#ifndef	_WLIB_
#include "wlib.h"
#endif

#ifndef	_WINOP_
#define	_WINOP_

typedef	struct	{
	int		zx, zy, zh, zv, zflag ;
}
	ZoomBuffer ;

#define	ERROR_OK		0
#define	ERROR_ABORT		1
#define	ERROR_RETRY		2
#define	ERROR_IGNORE	4

/*
	proto -e operation.c popup.c error.c args.c mouseop.c ..\wsrv\common.c > temp
*/
extern	void	ZoomInit( WindowID, ZoomBuffer* );
extern	void	ZoomOperation( WindowID, EventInfo* );
/*extern	void	IconifyOperation( WindowID, int, int, int(*)() ); COR.*/
extern	WindowID	IconifyOperation( WindowID, int, int, int(*)() );
extern	void	IconMouseOperation( WindowID, EventInfo* );

extern	int		PopUpMenu( int, int, char**, int, int );

extern	int		ErrorMessage( char*, int );

extern	int		AnalizeArgs( int, char*[], int*, int*, int*, int* );
extern	int		AnalyzeArgs( int, char*[], int*, int*, int*, int* );

extern	int		DefaultMouseOperation( WindowID, EventInfo* );

extern	char	*CommonOpen( char* );
extern	char	*CommonGetLine( char* );
extern	char	*CommonGetWord( char* );

/*	IconMan.h v1.00 1992 H.Ogasawara(COR.)	*/

typedef	struct _Iconstruct {
	WindowID	(*iconifyexec)( WindowID, int, int, int (*)(), int*, int* );
	int			(*iconmouseexec)( WindowID, EventInfo*, int* );
	int		x, y;
} IconMan;

#endif


